---
title: 'Fairphone 2: initial thoughts on the original ethical smartphone'
slug: fairphone-first-thoughts
date: 2016-05-07T16:56:29+01:00
tags:
- Technology
- Gadgets
- Fairphone
- Smartphone
- Ethics
---

{{% figure alt="Naked Fairphone" src="/images/posts/2016-05-07-fairphone.jpg" class="main-illustration fr" %}}

I've had my eye on the [Fairphone 2](https://www.fairphone.com/) for a while now, and when my current phone, an aging Samsung Galaxy S4, started playing up I decided it was time to take the plunge. A few people have asked for my thoughts on the Fairphone so here are a few notes.

## Why I bought it

The thing that sparked my interest, and the main reason for buying the phone really, was the ethical stance of the manufacturer. The small Swedish company have gone to great lengths to ensure that both labour and materials are sourced as responsibly as possible. They regularly inspect the factories where the parts are made and assembled to ensure fair treatment of the workers and they source all the raw materials carefully to minimise the environmental impact and the use of conflict minerals.

Another side to this ethical stance is a focus on longevity of the phone itself. This is not a product with an intentionally limited lifespan. Instead, it's designed to be modular and as repairable as possible, by the owner themselves. Spares are available for all of the parts that commonly fail in phones (including screen and camera), and at the time of writing the [Fairphone 2 is the only phone to receive 10/10 for reparability from iFixit](https://www.ifixit.com/Teardown/Fairphone+2+Teardown/52523). There are plans to allow hardware upgrades, including an expansion port on the back so that NFC or wireless charging could be added with a new case, for example.

## What I like

So far, the killer feature for me is the dual SIM card slots. I have both a personal and a work phone, and the latter was always getting left at home or in the office or running out of charge. Now I have both SIMs in the one phone: I can recieve calls on either number, turn them on and off independently and choose which account to use when sending a text or making a call.

The OS is very close to "standard" Android, which is nice, and I really don't miss all the extra bloatware that came with the Galaxy S4. It also has twice the storage of that phone, which is hardly unique but is still nice to have.

Overall, it seems like a solid, reliable phone, though it's not going to outperform anything else at the same price point. It certainly feels nice and snappy for everything I want to use it for. I'm no mobile gamer, but there is that distant promise of upgradability on the horizon if you are.

## What I don't like

I only have two bugbears so far. Once or twice it's locked up and become unresponsive, requiring a "manual reset" (removing and replacing the battery) to get going again. It also lacks NFC, which isn't really a deal breaker, but I was just starting to make occasional use of it on the S4 (mostly experimenting with my [Yubikey NEO](https://www.yubico.com/products/yubikey-hardware/yubikey-neo/)) and it would have been nice to try out Android Pay when it finally arrives in the UK.

## Overall

It's definitely a serious contender if you're looking for a new smartphone and aren't bothered about serious mobile gaming. You do pay a premium for the ethical sourcing and modularity, but I feel that's worth it for me. I'm looking forward to seeing how it works out as a phone.
