---
title: "Chat rooms vs Twitter: how I communicate now"
description: "I've got fed up with Twitter - here's why."
slug: chat-rooms-vs-twitter
date: '2017-03-29 21:41:31 UTC+01:00'
draft: false
tags:
- Technology
- Social media
- Twitter
- Slack
- IRC
---

{{% figure alt="Telephones"
class="main-illustration fr"
src="/images/posts/2017-03-29-phone.jpg"
attr="CC0, Pixabay"
attrlink="https://pixabay.com/en/phone-models-generations-old-1678289/" %}}

This time last year,
Brad Colbow published
[a comic in his "The Brads" series entitled *"The long slow death of Twitter"*][death].
It really encapsulates the way I've been feeling about Twitter for a while now.

*Go ahead and take a look.*
*I'll still be here when you come back.*

According to my [Twitter profile](https://mobile.twitter.com/jezcope),
I joined in February 2009 as user #20,049,102.
It was nearing its 3rd birthday and,
though there were clearly a lot of people already signed up at that point,
it was still relatively quiet, especially in the UK.

I was a lonely PhD student just starting to get interested in educational technology,
and one thing that Twitter had in great supply was (and still is)
people pushing back the boundaries of what tech can do in different contexts.

Somewhere along the way Twitter got *really* noisy,
partly because more people (especially commercial companies) are using it more
to talk about stuff that doesn't interest me,
and partly because I now follow 1,200+ people
and find I get several tweets a second at peak times,
which no-one could be expected to handle.
More recently I've found my attention drawn
to more focussed communities
instead of that big old shouting match.

I find I'm much more comfortable discussing things and asking questions
in small focussed communities
because I know who might be interested in what.
If I come across an article about a cool new Python library,
I'll geek out about it with my research software engineer friends;
if I want advice on an aspect of my emacs setup,
I'll ask a bunch of emacs users.

I feel like I'm talking to people who want to hear what I'm saying.
Next to that experience,
Twitter just feels like standing on a street corner shouting.

IRC channels (mostly on [Freenode][]), and similar things like [Slack][] and [gitter][]
form the bulk of this for me,
along with a growing number of WhatsApp group chats.
Although online chat is theoretically a synchronous medium,
I find that I can treat it more as "semi-synchronous":
I can have real-time conversations as they arise,
but I can also close them and tune back in later to catch up if I want.
Now I come to think about it, this is how I used to treat Twitter
before the 1,200 follows happened.

I also find I visit a handful of forums regularly,
mostly of the [Reddit][] link-sharing or [StackExchange][] Q&A type.
[/r/buildapc][] was invaluable when I was building my latest box,
[/r/EarthPorn][] (very much *not* NSFW) is just beautiful.

[death]: http://bradcolbow.com/archive/view/the_long_slow_death_of_twitter/
[Freenode]: http://freenode.net
[Slack]: http://slack.com
[gitter]: http://gitter.im
[Reddit]: https://reddit.com
[StackExchange]: https://stackexchange.com
[/r/buildapc]: https://reddit.com/r/buildapc
[/r/EarthPorn]: https://reddit.com/r/EarthPorn

I suppose the risk of all this is that
I end up reinforcing my own echo chamber.
I'm not sure how to deal with that,
but I certainly can't deal with it
while also suffering from information overload.
