---
title: "Lean Libraries: applying agile practices to library services"
description: "I've had call to read quite a bit about the lean and agile movements lately, which got me thinking: how would all this work in an academic library context?"
slug: lean-libraries-intro
date: 2017-07-19T17:42:16+01:00
draft: false
tags:
- Librarianship
- Lean
- Agile
- Management
---

{{% figure alt="A Scrum board suggesting to use Kanban"
caption="Kanban board"
src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Simple-kanban-board-.jpg/640px-Simple-kanban-board-.jpg"
attr="Jeff Lasovski (via Wikimedia Commons)"
attrlink="https://en.wikipedia.org/wiki/File:Simple-kanban-board-.jpg"
class="main-illustration fr" %}}

I've been working with our IT services at work quite closely for the last year as product owner for our new research data portal, ORDA. That's been a fascinating process for me as I've been able to see first-hand some of the agile techniques that I've been reading about from time-to-time on the web over the last few years.

They're in the process of adopting a specific set of practices going under the name "Scrum", which is fun because it uses some novel terminology that sounds pretty weird to non-IT folks, like "scrum master", "sprint" and "product backlog". On my small project we've had great success with the short cycle times and been able to build trust with our stakeholders by showing concrete progress on a regular basis.

Modern librarianship is increasingly fluid, particularly in research services, and I think that to handle that fluidity it's absolutely vital that we are able to work in a more agile way. I'm excited about the possibilities of some of these ideas. However, Scrum as implemented by our IT services doesn't seem something that transfers directly to the work that we do: it's too specialised for software development to adapt directly.

What I intend to try is to steal some of the individual practices on an experimental basis and simply see what works and what doesn't. The Lean concepts currently popular in IT were originally developed in manufacturing: if they can be translated from the production of physical goods to IT, I don't see why we can't make the ostensibly smaller step of translating them to a different type of knowledge work.

I've therefore started reading around this subject to try and get as many ideas as possible. I'm generally pretty rubbish at taking notes from books, so I'm going to try and record and reflect on any insights I make on this blog. The framework for trying some of these out is clearly a Plan-Do-Check-Act continuous improvement cycle, so I'll aim to reflect on that process too.

I'm sure there will have been people implementing Lean in libraries already, so I'm hoping to be able to discover and learn from them instead of starting froms scratch. Wish me luck!
