---
title: "Music for working"
description: "In which I share a few thoughts on noise-blockers for work"
slug: music-for-working
date: 2019-10-26T19:53:12+01:00
tags:
- Stuff
- Music
- Concentration
- Mental health
---

Today[^3] the office conversation turned to
blocking out background noise.
(No, the irony is not lost on me.)
Like many people
I work in a large, open-plan office,
and I'm not alone amongst my colleagues
in sometimes needing to find a way
to boost concentration by blocking out distractions.
Not everyone is like this,
but I find music does the trick for me.
I also find that different types of music
are better for different types of work,
and I use this to try and manage my energy better.

There are more distractions than auditory noise,
and at times I really struggle with visual noise.
Rather than have this post turn into a rant
about the evils of open-plan offices,
I'll just mention that the scientific evidence
doesn't paint them in a good light[^1],
or at least suggests that the benefits are
more limited in scope than is commonly thought[^2],
and move on to what I actually wanted to share:
good music for working to.

There are a number of genres that I find useful for working.
Generally, these have in common
a consistent tempo,
a lack of lyrics,
and enough variation to prevent boredom without distracting.
Familiarity helps my concentration too
so I'll often listen to a restricted set of albums for a while,
gradually moving on by dropping one out and bringing in another.
In my case this includes:

- **Traditional dance music**,
  generally from northern and western European traditions for me.
  This music has to be rhythmically consistent to allow social dancing,
  and while the melodies are typically simple repeated phrases,
  skilled musicians improvise around that to make something beautiful.
  I tend to go through phases of listening to particular traditions;
  I'm currently listening to a lot of French, Belgian and Scandinavian.
- **Computer game soundtracks**,
  which are specifically designed to enhance gameplay without distracting,
  making them perfect for other activities
  requiring a similar level of concentration.
- **Chiptunes and other music incorporating it**;
  partly overlapping with the previous category,
  chiptunes is music made by hacking the audio chips
  from (usually) old computers and games machines
  to become an instrument for new music.
  Because of the nature of the instrument,
  this will have millisecond-perfect rhythm
  and again makes for undistracting noise blocking
  with an extra helping of nostalgia!
  Purists would disagree with me,
  but I like artists that combine chiptunes
  with other instruments and effects
  to make something more complete-sounding.
- **Retrowave/synthwave/outrun**,
  synth-driven music that's instantly familiar
  as the soundtrack to many 90s sci-fi and thriller movies.
  Atmospheric, almost dreamy,
  but rhythmic with a driving beat,
  it's another genre that fits into the
  "pleasing but not too surprising" category for me.
  
So where to find this stuff?

One of the best resources I've found is
[Music for Programming](https://musicforprogramming.net/)
which provides carefully curated playlists
of mostly electronic music
designed to energise without distracting.
They're so well done that the tracks move seamlessly,
one to the next,
without ever getting boring.

[Spotify](https://spotify.com) is an obvious option,
and I do use it quite a lot.
However, I've started trying to find ways to support artists more directly,
and [Bandcamp](https://bandcamp.com) seems to be a good way of doing that.
It's really easy to browse by genre,
or discover artists similar to what you're currently hearing.
You can listen for free
as long as you don't mind occasional nags
to buy the music you're hearing,
but you can also buy tracks or albums.
Music you've paid for is downloadable
in several open, DRM-free formats for you to keep,
and you know that a decent chunk of that cash
is going directly to that artist.

I also love noise generators;
not exactly *music*,
but a variety of pleasant background noises,
some of which nicely obscure typical office noise.
I particularly like [mynoise.net](https://mynoise.net/),
which has a cornucopia of different natural and synthetic noises.
Each generator comes with a range of sliders
allowing you to tweak the composition and frequency range,
and will even animate them randomly for you
to create a gently shifting soundscape.
A much simpler,
but still great,
option is [Noisli](https://www.noisli.com/)
with it's nice clean interface.
Both offer apps for iOS and Android.

For bonus points,
you can always try combining one or more of the above.
Adding in a noise generator
allows me to listen to quieter music
while still getting good environmental isolation
when I need concentration.
Another favourite combo is
to open both the cafe and rainfall generators from myNoise,
made easier by the ability to pop out a mini-player
then open up a second generator.

I must be missing stuff though.
What other musical genres should I try?
What background sounds are nice to work to?

[^1]: See e.g.: Lee, So Young, and Jay L. Brand. ‘Effects of Control over Office Workspace on Perceptions of the Work Environment and Work Outcomes’. Journal of Environmental Psychology 25, no. 3 (1 September 2005): 323–33. <https://doi.org/10.1016/j.jenvp.2005.08.001>.

[^2]: [Open plan offices can actually work under certain conditions](https://theconversation.com/open-plan-offices-can-actually-work-under-certain-conditions-89452), The Conversation

[^3]: Well, you know. The other day. Whatever.
