---
title: "Writing About Not Writing"
description: "In which I get all reflective for no reason but maybe find some motivation to write more."
slug: writing-about-not-writing
date: 2021-01-08T16:11:36+00:00
tags:
- Stuff
- Reflection
- Meta
- Writing
---

{{% figure alt="Discount signs in a shop window"
src="/images/posts/2021-01-under-construction.jpg"
class="main-illustration fr"
attr="Under Construction Grunge Sign by Nicolas Raymond — CC BY 2.0"
attrlink="http://freestock.ca/signs_symbols_g43-under_construction_grunge_sign_p1717.html" %}}

Every year, around this time of year, I start doing two things. First, I start thinking I could really start to understand [monads](https://en.wikipedia.org/wiki/Monad_(functional_programming)) and write more than toy programs in [Haskell](https://www.haskell.org/). This is unlikely to ever *actually* happen unless and until I get a day job where I can justify writing useful programs in Haskell, but [Advent of Code](https://adventofcode.com/) always gets me thinking otherwise.

Second, I start mentally writing this same post. You know, the one about how the blogger in question hasn't had much time to write but will be back soon?

> "Sorry I haven't written much lately…"

It's about as cliché as a Geocities site with a permanent "Under construction" GIF. At some point, not long after the dawn of ~time~ the internet, most people realised that every website was permanently under construction and publishing something not ready to be published was just pointless.

So I figured this year I'd actually finish writing it and publish it. After all, what's the worst that could happen?

If we're getting all reflective about this, I could probably suggest some reasons why I'm not writing much:

For a start, there's a *lot* going on in both my world and The World right now, which doesn't leave a lot of spare energy after getting up, eating, housework, working and a few other necessary activities. As a result, I'm easily distracted and I tend to let myself get dragged off in other directions before I even get to writing much of anything. If I do manage to focus on this blog in general, I'll often end up working on some minor tweak to the theme or functionality.

*I mean, right now I'm wondering if I can do something clever in my text-editor ([Emacs](https://en.wikipedia.org/wiki/Emacs), since you're asking) to streamline my writing & editing process so it's more elegant, efficient, ergonomic and slightly closer to perfect in every way.*

It also makes me much more likely to self-censor, and to indulge my perfectionist tendencies to try and tweak the writing until it's absolutely perfect, which of course never happens. I've got a whole heap of partly-written posts that are *juuuust* waiting for the right motivation for me to just finish them off.

The only real solution is to accept that:

1.  I'm not going to write much and that's probably OK
2.  What I do write won't always be the work of carefully-researched, finely crafted genius that I want it to be, and that's probably OK too

Also to remember why I started writing and publishing stuff in the first place: to reflect and get my thoughts out onto a (virtual) page so that I can see them, figure out whether I agree with myself and learn; and to stimulate discussion and get other views on my (possibly uninformed, incorrect or half-formed) thoughts, also to learn. In other words, a thing I do **for me**. It's easy to forget that and worry too much about whether anyone else wants to read my s—t.

Will you notice any changes? Maybe? Maybe not? Who knows. But it's a new year and that's as good a time for a change as any.
