---
title: "GLAM Data Science Network fellow travellers"
description: |
    In which I get to grips with the existing groups and initiatives which could
    complement a GLAM DSN.
slug: glam-data-science-network-fellow-travellers
date: 2021-02-03T16:00:04+00:00
series: glam-dsn
tags:
- Data science
- GLAM
- Librarianship
- Humanities
- Cultural heritage
---

{{< admonition updates info >}}
- *2021-02-04* Thanks to Gene [@dzshuniper@ausglam.space][] for suggesting
  ADHO and a better attribution for the opening quote (see comments below for
  details)

See [comments & webmentions](#webmentions) for details.

[@dzshuniper@ausglam.space]: https://ausglam.space/@dzshuniper
{{< /admonition >}}

> “If you want to go fast, go alone. If you want to go far, go together.” —
> *African proverb, probably popularised in English by [Kenyan church leader Rev.
> Samuel Kobia](https://diigo.com/0jn18x)
> ([original](https://www.oikoumene.org/resources/documents/acceptance-of-election-as-general-secretary))*

This quote is a popular one in the [Carpentries
community](https://carpentries.org/), and I interpret it in this context
to mean that a group of people working together is more sustainable than
individuals pursuing the same goal independently. That's something that
speaks to me, and that I want to make sure is reflected in nurturing
this new community for data science in galleries, archives, libraries &
museums (GLAM). To succeed, this work *needs* to be complementary and
collaborative, rather than competitive, so I want to acknowledge a range
of other networks & organisations whose activities complement this.

The rest of this article is an unavoidably incomplete list of other
relevant organisations whose efforts should be acknowledged and
potentially built on. And it should go without saying, but just in case:
if the work I'm planning fits right into an existing initiative, then
I'm happy to direct my resources there rather than duplicate effort.

# Inspirations & collaborators

Groups with similar goals or undertaking similar activities, but focused
on a different sector, geographic area or topic. I think we should make
as much use of and contribution to these existing communities as
possible since there will be significant overlap.

## [code4lib](https://code4lib.org/about/)

Probably the closest existing community to what I want to build, but
primarily based in the US, so timezones (and physical distance for
in-person events) make it difficult to participate fully. This is a
well-established community though, with regular events including an
annual conference so there's a lot to learn here.

## [newCardigan](https://newcardigan.org/)

Similar to code4lib but an Australian focus, so the timezone problem is
even bigger!

## [GLAM Labs](https://glamlabs.io)

Focused on supporting the people experimenting with and developing the
infrastructure to enable scholars to access GLAM materials in new ways.
In some ways, a GLAM data science network would be complementary to
their work, by providing people not directly involved with building GLAM
Labs with the skills to make best use of GLAM Labs infrastructure.

## [UK Government data science community](https://www.gov.uk/service-manual/communities/data-science-community)

Another existing community with very similar intentions, but focused on
UK Government sector. Clearly the British Library and a few national &
regional museums & archives fall into this, but much of the rest of the
GLAM sector does not.

## [Artifical Intelligence for Libraries, Archives & Museums (AI4LAM)](https://sites.google.com/view/ai4lam/home)

A multinational collaboration between several large libraries, archives
and museums with a specific focus on the Artificial Intelligence (AI)
subset of data science

## [UK Reproducibility Network](https://www.ukrn.org/)

A network of researchers, primarily in HEIs, with an interest in
improving the transparency and reliability of academic research. Mostly
science-focused but with some overlap of goals around ethical and robust
use of data.

## [Museums Computer Group](https://www.museumscomputergroup.org.uk/)

I'm less familiar with this than the others, but it seems to have a
wider focus on technology generally, within the slightly narrower scope
of museums specifically. Again, a lot of potential for collaboration.

# Training

Several organisations and looser groups exist specifically to develop
and deliver training that will be relevant to members of this network.
The network also presents an opportunity for those who have done a
workshop with one of these and want to know what the “next steps” are to
continue their data science journey.

-   [The Carpentries](https://carpentries.org), aka:
    -   [Library Carpentry](https://librarycarpentry.org/)
    -   [Data Carpentry](https://datacarpentry.org/)
    -   [Software Carpentry](https://software-carpentry.org/)
-   [Data Science Training for Librarians
    (DST4L)](http://www.dst4l.info/)
-   [The Programming Historian](https://programminghistorian.org/)
-   [CDH Cultural Heritage Data
    School](https://www.cdh.cam.ac.uk/dataschool/cdh-cultural-heritage-data-school)

# Supporters

These misson-driven organisations have goals that align well with what I
imagine for the GLAM DSN, but operate at a more strategic level. They
work by providing expert guidance and policy advice, lobbying and
supporting specific projects with funding and/or effort. In particular,
the SSI runs a fellowship programme which is currently providing a small
amount of funding to this project.

-   [Digital Preservation Coalition](https://www.dpconline.org/) (DPC)
-   [Software Sustainability Institute](https://software.ac.uk/) (SSI)
-   [Research Data Alliance](https://rd-alliance.org/) (RDA)
-   [Alliance of Digital Humanities Organizations (ADHO)](https://adho.org/)
    -   ... and its [Libraries and Digital Humanities Special Interest Group (Lib&DH SIG)](https://adholibdh.github.io/)

# Professional bodies

These organisations exist to promote the interests of professionals in
particular fields, including supporting professional development. I hope
they will provide communication channels to their various members at the
least, and may be interested in supporting more directly, depending on
their mission and goals.

-   [Society of Research Software Engineering](https://society-rse.org/)
-   [Chartered Institute of Library and Information
    Professionals](http://www.cilip.org.uk/)
-   [Archives & Records Association](https://www.archives.org.uk/)
-   [Museums Association](https://www.museumsassociation.org/)

# Conclusion

As I mentioned at the top of the page, this list cannot possibly be
complete. This is a growing area and I'm not the only or first person to
have this idea. If you can think of anything glaring that I've missed
and you think should be on this list, leave a comment or tweet/toot at
me!
