---
date: 2016-07-19T07:42:33+01:00
menu:
    main:
        name: rdm resources
title: RDM Resources
share: false
---

I occasionally get asked for resources to help someone learn more about research data management (RDM) as a discipline (i.e. for those providing RDM support rather than simply wanting to manage their own data).  I've therefore collected a few resources together on this page.  If you're lucky I might even update it from time to time!

First, a caveat: this is very focussed on UK Higher Education, though much of it will still be relevant for people outside that narrow demographic.

My general recommendation would be to start with the [Digital Curation Centre (DCC)](http://www.dcc.ac.uk/) website and follow links out from there. I also have a slowly growing [list of RDM links on Diigo](https://www.diigo.com/outliner/11flkb/Research-data-management?key=mzirvjs7rt), and there's an RDM section in my [list of blogs and feeds](/blogroll/) too.

## Mailing lists

- [Jiscmail](http://www.jiscmail.ac.uk/) is a popular list server run for the benefit of further and higher education in the UK; the following lists are particularly relevant:
    - RESEARCH-DATAMAN
    - DATA-PUBLICATION
    - DIGITAL-PRESERVATION
    - LIS-RESEARCHSUPPORT
 - The [Research Data Alliance](https://rd-alliance.org/groups) have a number of Interest Groups and Working Groups that discuss issues by email 

## Events
 
- [International Digital Curation Conference](http://www.dcc.ac.uk/events/international-digital-curation-conference-idcc) — major annual conference
- [Research Data Management Forum](http://www.dcc.ac.uk/events/research-data-management-forum-rdmf) — roughly every six months, places are limited!
- [RDA Plenary](https://rd-alliance.org/plenary-meetings.html) — also every 6 months, but only about 1 in every 3 in Europe
 
## Books

In no particular order:

- Martin, Victoria. Demystifying eResearch: A Primer for Librarians. Libraries Unlimited, 2014.
- Borgman, Christine L. Big Data, Little Data, No Data: Scholarship in the Networked World. Cambridge, Massachusetts: The MIT Press, 2015.
- Corti, Louise, Veerle Van den Eynden, and Libby Bishop. Managing and Sharing Research Data. Thousand Oaks, CA: SAGE Publications Ltd, 2014.
- Pryor, Graham, ed. Managing Research Data. Facet Publishing, 2012.
- Pryor, Graham, Sarah Jones, and Angus Whyte, eds. Delivering Research Data Management Services: Fundamentals of Good Practice. Facet Publishing, 2013.
- Ray, Joyce M., ed. Research Data Management: Practical Strategies for Information Professionals. West Lafayette, Indiana: Purdue University Press, 2014.
 
## Reports

- ‘Ten Recommendations for Libraries to Get Started with Research Data Management’. LIBER, 24 August 2012. http://libereurope.eu/news/ten-recommendations-for-libraries-to-get-started-with-research-data-management/.
- ‘Science as an Open Enterprise’. Royal Society, 2 June 2012. https://royalsociety.org/policy/projects/science-public-enterprise/Report/.
- Mary Auckland. ‘Re-Skilling for Research’. RLUK, January 2012. http://www.rluk.ac.uk/wp-content/uploads/2014/02/RLUK-Re-skilling.pdf.
 
## Journals

- [International Journal of Digital Curation](http://www.ijdc.net/) (IJDC)
- [Journal of eScience Librarianship](http://escholarship.umassmed.edu/jeslib/) (JeSLib)
